org.codehaus.classworlds

## Class ClassWorld

- java.lang.Object
- - org.codehaus.classworlds.ClassWorld

Direct Known Subclasses:
  ClassWorldAdapter

Deprecated.

    @Deprecated
    public class ClassWorld
    extends Object

A compatibility wrapper for org.codehaus.plexus.classworlds.ClassWorld provided for legacy code

Author:
  Andrew Williams

### Constructor Summary

Constructors
Constructor and Description
`ClassWorld()` Deprecated.
`ClassWorld(boolean ignore)` Deprecated.
`ClassWorld(String realmId, ClassLoader classLoader)` Deprecated.

### Method Summary

Methods
`void` `disposeRealm(String id)` Deprecated.
`ClassRealm` `getRealm(String id)` Deprecated.
`Collection` `getRealms()` Deprecated.
`ClassRealm` `newRealm(String id)` Deprecated.
`ClassRealm` `newRealm(String id, ClassLoader classLoader)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassWorld

    public ClassWorld(String realmId,
              ClassLoader classLoader)

Deprecated.

#### ClassWorld

    public ClassWorld()

Deprecated.

#### ClassWorld

    public ClassWorld(boolean ignore)

Deprecated.

### Method Detail

#### newRealm

    public ClassRealm newRealm(String id)
                        throws DuplicateRealmException

Deprecated.

Throws:
  `DuplicateRealmException`

#### newRealm

    public ClassRealm newRealm(String id,
                      ClassLoader classLoader)
                        throws DuplicateRealmException

Deprecated.

Throws:
  `DuplicateRealmException`

#### disposeRealm

    public void disposeRealm(String id)
                      throws NoSuchRealmException

Deprecated.

Throws:
  `NoSuchRealmException`

#### getRealm

    public ClassRealm getRealm(String id)
                        throws NoSuchRealmException

Deprecated.

Throws:
  `NoSuchRealmException`

#### getRealms

    public Collection getRealms()

Deprecated.